---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:43:37Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:43:37Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:14:37Z"
  name: recipe.openshift-storage
  resourceVersion: "2219446"
  uid: a6b9d4b6-2ba8-4cff-9092-4fd6674b2e65
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/recipe.openshift-storage
        operator: Exists
    refs:
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:38Z"
        lastUpdateTime: "2025-10-27T12:43:38Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: recipe.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:43:37Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:43:38Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: recipes.ramendr.openshift.io
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:44:28Z"
        lastUpdateTime: "2025-10-27T12:44:28Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-npnkp
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: recipe.v4.19.6-rhodf
      namespace: openshift-storage
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:05:14Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription ocs-subscription,
          subscription ocs-subscription exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: recipe-stable-4.19-redhat-operators-openshift-marketplace
      namespace: openshift-storage
